package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 活动渠道信息对象 activity_channel_info
 *
 * @author flossom
 * @date 2023-12-20
 */
public class ActivityChannelInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 渠道ID */
    private Long id;

    /** 渠道类型 */
    @Excel(name = "渠道类型")
    private Integer channelType;

    /** 渠道名称 */
    @Excel(name = "渠道名称")
    private String channelName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setChannelType(Integer channelType)
    {
        this.channelType = channelType;
    }

    public Integer getChannelType()
    {
        return channelType;
    }
    public void setChannelName(String channelName)
    {
        this.channelName = channelName;
    }

    public String getChannelName()
    {
        return channelName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("channelType", getChannelType())
            .append("channelName", getChannelName())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
